
AM_FCFLAGS = $(FC_MODINC)$(top_srcdir)/src $(FC_MODINC)$(top_srcdir)/src/fmm
LDADD = -L$(top_srcdir)/src -loakleaf

TESTS = testmean.sh testfmean.sh testrline.sh

check_PROGRAMS = testmean testrfun laplace eparam testiscale \
                 testcdf testfmean testrline

noinst_PROGRAMS = plotrfun smoke rwsmoke fsmoke ismoke

testrline_SOURCES = noise.f08 toolbox.f08 suite.f08 testrline.f08
testfmean_SOURCES = noise.f08 toolbox.f08 suite.f08 testfmean.f08
testmean_SOURCES = noise.f08 toolbox.f08 suite.f08 testmean.f08
testiscale_SOURCES = noise.f08 toolbox.f08 testiscale.f08
testcdf_SOURCES = noise.f08 toolbox.f08 testcdf.f08
laplace_SOURCES = noise.f08 toolbox.f08 laplace.f08
testrfun_SOURCES = testrfun.f08
eparam_SOURCES = romberg.f08 eparam.f08
smoke_SOURCES = noise.f08 smoke.f08
rwsmoke_SOURCES = noise.f08 rwsmoke.f08
fsmoke_SOURCES = noise.f08 fsmoke.f08
ismoke_SOURCES = noise.f08 ismoke.f08

plotrfun_SOURCES = plotrfun.f08
